// Copyright (c) Mito
import React, { Fragment } from 'react';
import { ModalEnum } from '../Mito';
import DefaultModal from '../DefaultModal';
// import css
import "../../../css/delete-column-modal.css";
/*
    A modal that confirms that you want to delete a column.
*/
const DeleteColumnModal = (props) => {
    const deleteColumn = async () => {
        await props.mitoAPI.sendDeleteColumn(props.selectedSheetIndex, props.columnHeader);
        props.setModal({ type: ModalEnum.None });
    };
    return (React.createElement(DefaultModal, { header: `Do you want to delete column ${props.columnHeader}?`, modalType: ModalEnum.RepeatAnalysis, viewComponent: React.createElement(Fragment, null), buttons: React.createElement(Fragment, null,
            React.createElement("div", { className: 'modal-close-button modal-dual-button-left', onClick: () => { props.setModal({ type: ModalEnum.None }); } }, " Close "),
            React.createElement("div", { className: 'modal-action-button modal-dual-button-right', onClick: deleteColumn },
                " ",
                "Delete Column")) }));
};
export default DeleteColumnModal;
//# sourceMappingURL=DeleteColumnModal.js.map